#!/bin/sh

echo "Hola julio 22!"
echo "El sistema mínimo está inicializado"
echo "Ok!"

export LD_LIBRARY_PATH=/lib/x86_64-linux-gnu:/lib

mount -t proc /proc proc

# Para levantar los módulos
cd /lib/modules/
insmod virtio.ko
insmod virtio_ring.ko
insmod failover.ko
insmod net_failover.ko
insmod virtio_pci.ko
insmod virtio_net.ko
cd /

#
# De:
# https://www.virtualbox.org/manual/ch09.html#changenat
# Según:
# "... and the name server can be found at 10.0.2.3"
ifconfig lo up
ifconfig eth0 10.0.2.15 netmask 255.255.255.0
route add default gw 10.0.2.2

# Para configurar el teclado en español
loadkmap < /etc/esbin.map

# Para habilitar el transpaso de paquetes
# echo 1 > /proc/sys/net/ipv4/ip_forward
